/*
    QJpegRest - An interactive JPEG decoder, with restoration algorithms
    Copyright (C) 2007  Lluís Batlle i Rossell

    Please find the license in the provided LICENSE file.
*/
#include <QObject>

class QDialog;
class QSpinBox;
class QDoubleSpinBox;

class QHContrast : public QObject, public HContrast, public QTConfigurable
{
    Q_OBJECT

    QDialog *dialog;
    QSpinBox *spinWinSize;
    QDoubleSpinBox *spinLevel;

public slots:
    void setConfig();
    void resetConfig();

public:
    QHContrast();
    virtual ~QHContrast();
    void startQtConfiguration();
};

class QHContrastCreator : public ActionCreator
{
    QHContrastCreator();

public:
    static void init();

    ImproveRawPlane * createImproveRawPlane() const;
	bool isapplicable(const JPEGParameters &p);
};
